import java.util.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    var totalOfAges = createPeople().stream()
      .map(Person::getAge)
      //.reduce(0, (total, age) -> total + age);
      //.reduce(0, (total, age) -> Integer.sum(total, age));
      .reduce(0, Integer::sum);

    System.out.println(totalOfAges);
  }
}

//What is reduce?
//Two ways to look at this:
//1. Transforming a collection of data into a single value
//2. Transforming a collection of data into another concreate value,
//single or collection. (we will see this later)

