import java.util.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    var numberOfPeopleOver30 = createPeople().stream()
      .filter(person -> person.getAge() > 30)
      //.map(ignore -> 1L)
      //.reduce(0, Integer::sum);
      .count();

    System.out.println(numberOfPeopleOver30);
  }
}

//What is count?
//count is a reduce operation.

