import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    //Group people based on their name
    //Group people based on their age

    //Think of this as a collection of buckets and labels for the 
    //buckets. As you process the elements, place the object
    //in the bucket with the desired label.

    System.out.println(createPeople().stream()
      .collect(groupingBy(Person::getName)));

    System.out.println(createPeople().stream()
      .collect(groupingBy(Person::getAge)));
  }
}

